<template lang="pug">
.row.w-100.h-100.position-relative.no-gutters
  .col-12(v-if='property')
    BaseAnimationBlock(anim='height')
      InfoAlert.position.w-100(key='info' v-if='showInfo')
        p
          | The #[strong Timeline] allows to manipulate a #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-property-element-2' target="_blank" rel="noopener") SSVG property]
          | selected in #[tt Properties card] #[span.small (top-left)].
        p Drag &amp; drop the arrows to modify SSVG current state for the selected property.
        p
          | #[strong Note:] when a
          | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-relation-element-2' target="_blank" rel="noopener") relation]
          | is selected, its #[tt key-times] are represented on the Timeline.
        p #[strong Note:] hovering elements displays additional information (key-times, value ...).
  .col-12.x-control(v-if='property')
    TimeLine
    .position-absolute(style='top: 2px; right: 2px;')
      button.btn.btn-sm.btn-outline-info.mx-1(title='info' @click='showInfo = !showInfo')
        | #[i.fa.fa-question-circle]
</template>
<script src='./SSVGControl.vue.js' />
<style>
.x-control {
  min-height: 100px;
  height: 10vh;
}
</style>
